//  Cast_EasyAppDelegate.h
//  Cast Easy
//
//  Created by Juan Alvarez on 6/30/05.
//  Copyright Oasis Software 2005 . All rights reserved.

#import <Cocoa/Cocoa.h>

@interface Cast_EasyAppDelegate : NSObject {
    IBOutlet NSWindow *window;
	IBOutlet NSArrayController *podcastsArrayController;
    
    NSManagedObjectModel *managedObjectModel;
    NSManagedObjectContext *managedObjectContext;
	
	BOOL showWarning;
}

+ (id)sharedModelDelegate;

- (NSString *)applicationSupportFolder;

- (NSManagedObjectModel *)managedObjectModel;
- (NSManagedObjectContext *)managedObjectContext;

- (IBAction)saveAction:(id)sender;
- (IBAction)revertAction:(id)sender;

- (void)terminateWithoutWarning;

- (NSDictionary *)allCategories;
- (NSArray *)allSubCategories;

- (NSManagedObject *)createObjectFromEntityName:(NSString *)entityName;
- (NSEntityDescription *)getEntityDescriptionWithEntityName:(NSString *)theEntityName;
- (NSArray *)searchForObjectsWithKey:(NSString *)theKey 
					  withComparison:(NSString *)theComparison
						   withValue:(NSString *)theValue
					  withEntityName:(NSString *)theEntityName;
- (NSArray *)runSearchWithPredicateString:(NSString *)theString withEntityName:(NSString *)theEntityName;
- (NSArray *)searchWithFetchTemplateName:(NSString *)theName withSubstitutionVariables:(NSDictionary *)theDict;
- (void)removeObjects:(NSArray *)theObjects;
@end
